$thumbnail-size: 100%;
$product-description-height: 70px;

.featured-products {
	padding: 60px 0;
	background: #ededed;

	.title-text {
		text-transform: uppercase;
		text-align: center;
		font-size: 18px;
		letter-spacing: 3px;
		font-weight: 800;
	}

	h5 {
		text-align: center;
		letter-spacing: 2px;
		margin-bottom: 30px;
		font-weight: 800;

		span {
			color: $brand-primary;
		}
	}

	.products {
		&.products-slick {
			padding: 0 50px;

			.slick-arrow{
				text-decoration: none;
				outline: none;
				box-shadow: none;
				
				i {
					font-size: 25px;
					line-height: 1;
					color: $black;
					background: transparent;
					border-radius: 50%;
				}
			}
		}
	}
}

#products,
.featured-products,
.product-accessories,
.product-miniature {
	.products {
		display: flex;
		flex-wrap: wrap;
		justify-content: flex-start;
	}

	.product-thumbnail {
		display: block;
	}

	.product-title a {
		font-size: 12px;
		font-weight: 800;
		color: $black;
		text-align: center;
		text-decoration: none;
		letter-spacing: 1px;

		&::before {
			content: '';
			border-bottom: 3px solid $brand-primary;
			width: 40%;
			position: absolute;
			left: 0;
			right: 0;
			bottom: -10px;
			margin: auto;
		}
	}

	.thumbnail-container {
		position: relative;
		width: $thumbnail-size;
		height: auto;
		margin-bottom: 1.563rem;
		overflow: hidden;
		background: $white;

		&:hover,
		&:focus {
			.highlighted-informations {
				top: calc(400px - 4.4rem);
				bottom: 5.5rem;

				&::after {
					opacity: 1;
				}

				&.no-variants {
					top: calc(400px - 2.5rem);
					bottom: 2.2rem;
				}
			}

			.product-description::after {
				position: absolute;
				top: 0;
				left: 10%;
				width: 80%;
				content: "";
				border-top: $gray 1px solid;
				opacity: 0.25;
			}
		}

		.product-thumbnail {
			position: relative;
			text-align: center;
			height: calc(100% - #{$product-description-height});

			img {
				position: relative;
				top: 0;
				right: 0;
				bottom: 0;
				left: 0;
				max-width: 100%;
				max-height: 100%;
				margin: auto;
				object-fit: contain;
				min-height: 400px;
			}
		}
	}

	.products-section-title {
		margin: 2.5rem 0;
		font-weight: 500;
		text-align: center;
	}

	.product-title {
		margin-top: 0.7rem;
		text-align: center;
		text-transform: uppercase;
		position: relative;
		margin-bottom: 20px;
	}

	.product-price-and-shipping {
		font-weight: 400;
		color: $gray-darker;
		text-align: center;
		letter-spacing: 1px;

		.discount-product {
			display: none;
		}
	}

	.variant-links {
		position: relative;
		top: -0.25em;
		width: 100%;
		min-height: 2.5rem;
		padding-top: 0.1875rem;
		text-align: center;
		background: $white;
	}

	.highlighted-informations {
		position: absolute;
		top: $thumbnail-size;
		bottom: 1.25rem;
		z-index: 2;
		width: $thumbnail-size;
		height: auto;
		padding-top: 0.625rem;
		text-align: center;
		background: $white;
		transition: top 0.3s, bottom 0.3s;

		.quick-view {
			font-size: $base-font-size;
			color: $gray;

			&:hover {
				color: $brand-primary;
			}
		}
	}

	.product-description {
		position: relative;
		bottom: 0;
		z-index: 3;
		width: $thumbnail-size;
		height: auto;
		padding-bottom: 0.7rem;
		overflow: hidden;
		background: #ededed;
	}

	.product {
		padding: 0;

		@at-root .page-index &,
			.page-search & {
			width: 25%;
			min-width: 250px;
		}
	}

	.product-miniature {
		margin: 0 10px;

		.product-flags {
			li.product-flag {
				min-width: 3.125rem;
				min-height: 1.875rem;
				font-weight: 600;

				&.online-only {
					top: 13.1rem;
				}
			}
		}
	}

	.comments_note {
		color: $gray;
		text-align: center;
	}

	.regular-price {
		display: inline-block;
		font-size: $font-size-sm;
		color: $gray;
		text-decoration: line-through;
	}

	.count {
		position: relative;
		bottom: 0.5rem;
		font-weight: 700;
		color: $gray;
	}

	.all-product-link {
		margin-top: 1.5rem;
		margin-bottom: 1.5rem;
		clear: both;
		font-weight: 500;
		color: $gray;
	}
}

@include media-breakpoint-down(md) {
	.featured-products {
		.products {
			justify-content: center;
		}
	}
}
